package com.steering.message.model;

/**
 * 数据库表APP_MESSAGE所对应的实体类（生成工具：代码生成器3.0）
 * @author PC-20160918TFRG   date 2019-12-17
 */
public class AppMessageEntity implements java.io.Serializable {
    /**
     * 消息编号(YYYYMMDD+4位流水)
     */
    private String messageNo = "";
    /**
     * 消息标题
     */
    private String messageTitle = "";
    /**
     * 消息级别代码(900401)
     */
    private String messageLevelCode = "";
    /**
     * 消息级别
     */
    private String messageLevelDesc = "";
    /**
     * 消息分类代码(900402)
     */
    private String messageClassCode = "";
    /**
     * 消息分类
     */
    private String messageClassDesc = "";
    /**
     * 消息内容
     */
    private String messageContent = "";
    /**
     * 发布文件路径
     */
    private String messagePath = "";
    /**
     * 发布(申请)机构代码
     */
    private String releaseOrgCode = "";
    /**
     * 发布(申请)机构
     */
    private String releaseOrgDesc = "";
    /**
     * 发布(申请)人ID
     */
    private String releaseUserid = "";
    /**
     * 发布(申请)人
     */
    private String releaseName = "";
    /**
     * 发布(申请)时间
     */
    private String releaseTime = "";
    /**
     * 数据状态(00无效10草稿20发布)
     */
    private String validflag = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 创建人ID
     */
    private String createUserid = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人ID
     */
    private String updateUserid = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 废除人ID
     */
    private String deleteUserid = "";
    /**
     * 废除人
     */
    private String deleteName = "";
    /**
     * 废除时间
     */
    private String deleteTime = "";
    /**
     * 参考单号
     */
    private String referKey = "";
    /**
     * 审批节点
     */
    private String approvalNode = "";
    /**
     * 界面Key
     */
    private String windowKey = "";
    /**
     * 界面事件key
     */
    private String eventKey = "";
    /**
     * 分组显示 (0- 单条显示  1-根据 界面Key和事件Key分组显示
     */
    private String needGroup = "";

    /**
     * 消息编号(YYYYMMDD+4位流水)
     * @return value
     */
    public String getMessageNo() {
        return messageNo;
    }

    /**
     * 消息编号(YYYYMMDD+4位流水)
     * @param messageNo value
     */
    public void setMessageNo(String messageNo) {
        this.messageNo = messageNo;
    }

    /**
     * 消息标题
     * @return value
     */
    public String getMessageTitle() {
        return messageTitle;
    }

    /**
     * 消息标题
     * @param messageTitle value
     */
    public void setMessageTitle(String messageTitle) {
        this.messageTitle = messageTitle;
    }

    /**
     * 消息级别代码(900401)
     * @return value
     */
    public String getMessageLevelCode() {
        return messageLevelCode;
    }

    /**
     * 消息级别代码(900401)
     * @param messageLevelCode value
     */
    public void setMessageLevelCode(String messageLevelCode) {
        this.messageLevelCode = messageLevelCode;
    }

    /**
     * 消息级别
     * @return value
     */
    public String getMessageLevelDesc() {
        return messageLevelDesc;
    }

    /**
     * 消息级别
     * @param messageLevelDesc value
     */
    public void setMessageLevelDesc(String messageLevelDesc) {
        this.messageLevelDesc = messageLevelDesc;
    }

    /**
     * 消息分类代码(900402)
     * @return value
     */
    public String getMessageClassCode() {
        return messageClassCode;
    }

    /**
     * 消息分类代码(900402)
     * @param messageClassCode value
     */
    public void setMessageClassCode(String messageClassCode) {
        this.messageClassCode = messageClassCode;
    }

    /**
     * 消息分类
     * @return value
     */
    public String getMessageClassDesc() {
        return messageClassDesc;
    }

    /**
     * 消息分类
     * @param messageClassDesc value
     */
    public void setMessageClassDesc(String messageClassDesc) {
        this.messageClassDesc = messageClassDesc;
    }

    /**
     * 消息内容
     * @return value
     */
    public String getMessageContent() {
        return messageContent;
    }

    /**
     * 消息内容
     * @param messageContent value
     */
    public void setMessageContent(String messageContent) {
        this.messageContent = messageContent;
    }

    /**
     * 发布文件路径
     * @return value
     */
    public String getMessagePath() {
        return messagePath;
    }

    /**
     * 发布文件路径
     * @param messagePath value
     */
    public void setMessagePath(String messagePath) {
        this.messagePath = messagePath;
    }

    /**
     * 发布(申请)机构代码
     * @return value
     */
    public String getReleaseOrgCode() {
        return releaseOrgCode;
    }

    /**
     * 发布(申请)机构代码
     * @param releaseOrgCode value
     */
    public void setReleaseOrgCode(String releaseOrgCode) {
        this.releaseOrgCode = releaseOrgCode;
    }

    /**
     * 发布(申请)机构
     * @return value
     */
    public String getReleaseOrgDesc() {
        return releaseOrgDesc;
    }

    /**
     * 发布(申请)机构
     * @param releaseOrgDesc value
     */
    public void setReleaseOrgDesc(String releaseOrgDesc) {
        this.releaseOrgDesc = releaseOrgDesc;
    }

    /**
     * 发布(申请)人ID
     * @return value
     */
    public String getReleaseUserid() {
        return releaseUserid;
    }

    /**
     * 发布(申请)人ID
     * @param releaseUserid value
     */
    public void setReleaseUserid(String releaseUserid) {
        this.releaseUserid = releaseUserid;
    }

    /**
     * 发布(申请)人
     * @return value
     */
    public String getReleaseName() {
        return releaseName;
    }

    /**
     * 发布(申请)人
     * @param releaseName value
     */
    public void setReleaseName(String releaseName) {
        this.releaseName = releaseName;
    }

    /**
     * 发布(申请)时间
     * @return value
     */
    public String getReleaseTime() {
        return releaseTime;
    }

    /**
     * 发布(申请)时间
     * @param releaseTime value
     */
    public void setReleaseTime(String releaseTime) {
        this.releaseTime = releaseTime;
    }

    /**
     * 数据状态(00无效10草稿20发布)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 数据状态(00无效10草稿20发布)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 创建人ID
     * @return value
     */
    public String getCreateUserid() {
        return createUserid;
    }

    /**
     * 创建人ID
     * @param createUserid value
     */
    public void setCreateUserid(String createUserid) {
        this.createUserid = createUserid;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人ID
     * @return value
     */
    public String getUpdateUserid() {
        return updateUserid;
    }

    /**
     * 修改人ID
     * @param updateUserid value
     */
    public void setUpdateUserid(String updateUserid) {
        this.updateUserid = updateUserid;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 废除人ID
     * @return value
     */
    public String getDeleteUserid() {
        return deleteUserid;
    }

    /**
     * 废除人ID
     * @param deleteUserid value
     */
    public void setDeleteUserid(String deleteUserid) {
        this.deleteUserid = deleteUserid;
    }

    /**
     * 废除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 废除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 废除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 废除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 参考单号
     * @return value
     */
    public String getReferKey() {
        return referKey;
    }

    /**
     * 参考单号
     * @param referKey value
     */
    public void setReferKey(String referKey) {
        this.referKey = referKey;
    }

    /**
     * 审批节点
     * @return value
     */
    public String getApprovalNode() {
        return approvalNode;
    }

    /**
     * 审批节点
     * @param approvalNode value
     */
    public void setApprovalNode(String approvalNode) {
        this.approvalNode = approvalNode;
    }

    /**
     * 界面Key
     * @return value
     */
    public String getWindowKey() {
        return windowKey;
    }

    /**
     * 界面Key
     * @param windowKey value
     */
    public void setWindowKey(String windowKey) {
        this.windowKey = windowKey;
    }

    /**
     * 界面事件key
     * @return value
     */
    public String getEventKey() {
        return eventKey;
    }

    /**
     * 界面事件key
     * @param eventKey value
     */
    public void setEventKey(String eventKey) {
        this.eventKey = eventKey;
    }

    /**
     * 分组显示 (0- 单条显示  1-根据 界面Key和事件Key分组显示
     * @return value
     */
    public String getNeedGroup() {
        return needGroup;
    }

    /**
     * 分组显示 (0- 单条显示  1-根据 界面Key和事件Key分组显示
     * @param needGroup value
     */
    public void setNeedGroup(String needGroup) {
        this.needGroup = needGroup;
    }

}
